%global namedreltag %{nil}
%global namedversion %{version}%{?namedreltag}
Name:          docbook-maven
Version:       5.0
Release:       %mkrel 1
Summary:       Java support for Docbook
License:       LGPL
Group:         Development/Java
URL:           http://www.jboss.org/
# svn export -r8940 https://docbook.svn.sourceforge.net/svnroot/docbook/trunk docbook-5.0
# tar czf docbook-5.0-src-svn.tar.gz docbook-5.0
Source0:       docbook-5.0-src-svn.tar.gz
Source1:       FOEditor-script
Source2:       docbook-params-problems.txt
Patch0:        docbook-fo-editor-build.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: maven-doxia-sitetools
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-build-helper
BuildRequires: maven-release
BuildRequires: maven-resources-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
#BuildRequires: xml-maven-plugin

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch


%description
Java support for Docbook.

%package -n docbook-xml
Group:         Development/Java
Summary:       DocBook XML
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n docbook-xml
DocBook XML.

%package -n docbook-xsl
Group:         Development/Java
Summary:       XSL stylesheets for transforming DocBook XML document instances
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n docbook-xsl
These are XSL stylesheets for transforming DocBook XML document instances into
various output formats.

%package -n docbook-xsl-saxon
Group:         Development/Java
Summary:       Java extensions for use with the DocBook XML stylesheets Saxon
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRequires: saxon >= 6.5.5-1.2.6
Requires:      saxon >= 6.5.5-1.2.6

%description -n docbook-xsl-saxon
These are Java extensions for use with the DocBook XML stylesheets and the
Saxon XSLT engine.

%package -n docbook-xsl-xalan
Group:         Development/Java
Summary:       Java extensions for use with the DocBook XML stylesheets and Xalan-Java
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRequires: xalan-j2
Requires:      xalan-j2

%description -n docbook-xsl-xalan
These are Java extensions for use with the DocBook XML stylesheets and the
Xalan-Java XSLT engine.

%package -n fo-editor
Group:         Development/Java
Summary:       DocBook FO editor
BuildRequires: ant
BuildRequires: liblog4j-java
Requires:      liblog4j-java

%description -n fo-editor
DocBook FO editor.

%package -n fo-editor-javadoc
Group:         Development/Java
Summary:       Javadoc for fo-editor
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      jpackage-utils

%description -n fo-editor-javadoc
This package contains javadoc for fo-editor.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils
Obsoletes:     docbook-xsl-saxon-javadoc
Provides:      docbook-xsl-saxon-javadoc = %{version}-%{release}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n docbook-%{namedversion}

%patch0 -p0 -b .sav0
find -name '*.jar' -exec rm -f '{}' \;
find -name '*.class' -exec rm -f '{}' \;

%build
pushd maven
  mvn-rpmbuild install javadoc:aggregate
popd
pushd contrib/tools/fo-editor
  export CLASSPATH=$(build-classpath log4j)
  export OPT_JAR_LIST=:
  %{ant} -Dbuild.sysclasspath=first compile javadoc dist_zip
popd
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}
pushd maven

install -m 644 docbook-xml/target/docbook-xml-5.0-all-resources.zip %{buildroot}%{_javadir}/

ln -sf docbook-xml-5.0-all-resources.zip %{buildroot}%{_javadir}/docbook-xml-resources.zip

install -m 644 docbook-xsl/target/docbook-xsl-1.75.2-ns-resources.zip %{buildroot}%{_javadir}/
install -m 644 docbook-xsl/target/docbook-xsl-1.75.2-resources.zip %{buildroot}%{_javadir}/

ln -sf docbook-xsl-1.75.2-ns-resources.zip %{buildroot}%{_javadir}/docbook-xsl-ns-resources.zip
ln -sf docbook-xsl-1.75.2-resources.zip %{buildroot}%{_javadir}/docbook-xsl-resources.zip

install -m 644 docbook-xsl-saxon/target/docbook-xsl-saxon*.jar %{buildroot}%{_javadir}/docbook-xsl-saxon.jar
install -m 644 docbook-xsl-xalan/target/docbook-xsl-xalan*.jar %{buildroot}%{_javadir}/docbook-xsl-xalan.jar

install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-docbook.pom
%add_maven_depmap JPP-docbook.pom
install -m 644 docbook-xml/pom.xml %{buildroot}%{_mavenpomdir}/JPP-docbook-xml.pom
%add_maven_depmap JPP-docbook-xml.pom
install -m 644 docbook-xsl/pom.xml %{buildroot}%{_mavenpomdir}/JPP-docbook-xsl.pom
%add_maven_depmap JPP-docbook-xsl.pom

install -m 644 docbook-xsl-saxon/pom.xml %{buildroot}%{_mavenpomdir}/JPP-docbook-xsl-saxon.pom
%add_maven_depmap JPP-docbook-xsl-saxon.pom docbook-xsl-saxon.jar
install -m 644 docbook-xsl-xalan/pom.xml %{buildroot}%{_mavenpomdir}/JPP-docbook-xsl-xalan.pom
%add_maven_depmap JPP-docbook-xsl-xalan.pom docbook-xsl-xalan.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}
popd

mkdir -p %{buildroot}%{_datadir}/fo-editor
cp -pr contrib/tools/fo-editor/dist/* %{buildroot}%{_datadir}/fo-editor
mkdir -p %{buildroot}%{_bindir}
(
  cd %{buildroot}%{_datadir}/fo-editor
  find -name '*.bat' -exec rm -f '{}' \;
# don't work
  rm -rf run.sh
  install -pm 755 %{SOURCE1} run.sh
  ln -sf ../fo-editor/FOeditor.jar %{buildroot}%{_javadir}/foeditor.jar
)

mkdir -p %{buildroot}%{_javadocdir}/fo-editor
cp -pr contrib/tools/fo-editor/doc/* %{buildroot}%{_javadocdir}/fo-editor

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%preun
%update_maven_depmap

%files
%{_mavenpomdir}/JPP-docbook.pom
%{_mavendepmapfragdir}/%{name}

%files -n docbook-xml
%{_javadir}/docbook-xml-5.0-all-resources.zip
%{_javadir}/docbook-xml-resources.zip
%{_mavenpomdir}/JPP-docbook-xml.pom

%files -n docbook-xsl
%{_javadir}/docbook-xsl-1.75.2-ns-resources.zip
%{_javadir}/docbook-xsl-ns-resources.zip
%{_javadir}/docbook-xsl-1.75.2-resources.zip
%{_javadir}/docbook-xsl-resources.zip
%{_mavenpomdir}/JPP-docbook-xsl.pom

%files -n docbook-xsl-saxon
%{_javadir}/docbook-xsl-saxon.jar
%{_mavenpomdir}/JPP-docbook-xsl-saxon.pom

%files -n docbook-xsl-xalan
%{_javadir}/docbook-xsl-xalan.jar
%{_mavenpomdir}/JPP-docbook-xsl-xalan.pom

%files javadoc
%{_javadocdir}/%{name}

%files -n fo-editor
%{_javadir}/foeditor.jar
%dir %{_datadir}/fo-editor
%doc %{_datadir}/fo-editor/README
# see docbook-params-problems.txt
#dir %{_datadir}/fo-editor/docbook-params
%{_datadir}/fo-editor/FOeditor.jar
%{_datadir}/fo-editor/configuration/*.xml
%{_datadir}/fo-editor/run.sh
%{_datadir}/fo-editor/templates/*.xml

%files -n fo-editor-javadoc
%{_javadocdir}/fo-editor


%changelog

* Mon Nov 07 2011 gil <gil> 5.0-1.mga2
+ Revision: 164579
- imported package docbook-maven

